%define upstream_name    Devel-LexAlias
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Alias lexical variables
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Caller) >= 0.30.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
Devel::LexAlias provides the ability to alias a lexical variable in a
subroutines scope to one of your choosing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorarch}/Devel/*
%{perl_vendorarch}/auto/Devel/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 524830
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-1.mga4
+ Revision: 431593
- update to 0.05
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-6.mga3
+ Revision: 365785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-5.mga3
+ Revision: 250520
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-4.mga2
+ Revision: 104179
- perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-3.mga1
+ Revision: 33716
- mageia rebuild
- imported package perl-Devel-LexAlias


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-3mdv2011.0
+ Revision: 555794
- rebuild for perl 5.12
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 406980
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.04-6mdv2009.0
+ Revision: 256634
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.04-4mdv2008.1
+ Revision: 152062
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-3mdv2008.0
+ Revision: 86353
- rebuild


* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- First Mandriva release

